commit:     ccab3605efeb4092b03c4acac50f62804cee8b32
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 14 21:01:15 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Dec 14 21:27:05 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccab3605

dev-haskell/hdbc: bump up to 2.4.0.3

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-haskell/hdbc/Manifest            |  1 +
 dev-haskell/hdbc/hdbc-2.4.0.3.ebuild | 61 ++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-haskell/hdbc/Manifest b/dev-haskell/hdbc/Manifest
index b79794b7da7..c27f2313eae 100644
--- a/dev-haskell/hdbc/Manifest
+++ b/dev-haskell/hdbc/Manifest
@@ -1,2 +1,3 @@
 DIST HDBC-2.3.1.2.tar.gz 23314 BLAKE2B 
cc6eca2703be4768ea55b7264f960419378e415d165d63b64ac903a5228534cedec7b7e2d9f5c3284781b5a3f253a020deadd3e335bcfa46a77df746e8e99291
 SHA512 
e98ca4043c311eb8e5adb02d1a59bc0d1be84ba66c224b848649a596de214a2a38b8bedfe71fa8f17ae0843cf073e814c76e7e868aca1e20619e3d5fa573109c
 DIST HDBC-2.4.0.1.tar.gz 23415 BLAKE2B 
a63037329bd68e09c343497dd0d95a36675872122ff30bbf40ca108f8bd56454df354628b2317c11745ba58c60b5a9023128253e07a24622c1b34ef7356d07f2
 SHA512 
1a20a533ffe7700cfb48c9875e9c6b09f940c1b808fd1a371327eed9c358abfe0167d206bb5b2dbb904b49f2081f91f81091d4164aad2aa08555f6de01a55d5a
+DIST HDBC-2.4.0.3.tar.gz 23489 BLAKE2B 
23de627666bc4a03c5f3ec93607641c539c1652a4fa9b798dbfd1f9c09ebcffc562bda88e45a522e38753177d69ee0585c9536ab6b6c353747373b751ead7f2a
 SHA512 
394a74e69ff854e657f66f1fe25ff4d2de33bf4410d560454ec7a2cd3e383586acc34eb694a7d1d70005871240417ee32d4163af9e33978921bfbcfcfe23fe43

diff --git a/dev-haskell/hdbc/hdbc-2.4.0.3.ebuild 
b/dev-haskell/hdbc/hdbc-2.4.0.3.ebuild
new file mode 100644
index 00000000000..fb05e030b9d
--- /dev/null
+++ b/dev-haskell/hdbc/hdbc-2.4.0.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# ebuild generated by hackport 0.6.1.9999
+#hackport: flags: buildtests:test
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour"
+inherit haskell-cabal
+
+MY_PN="HDBC"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Haskell Database Connectivity"
+HOMEPAGE="https://github.com/hdbc/hdbc";
+SRC_URI="https://hackage.haskell.org/package/${MY_P}/${MY_P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="2/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RESTRICT="test" # Requires dev-haskell/testpack (deprecated), and this is a 
problem.
+
+RDEPEND=">=dev-haskell/convertible-1.1.0.0:=[profile?]
+       dev-haskell/mtl:=[profile?]
+       dev-haskell/old-locale:=[profile?]
+       dev-haskell/old-time:=[profile?]
+       dev-haskell/text:=[profile?]
+       dev-haskell/utf8-string:=[profile?]
+       >=dev-lang/ghc-7.4.1:=
+       test? ( dev-haskell/hunit:=[profile?]
+               >=dev-haskell/quickcheck-2.0:2=[profile?]
+               >=dev-haskell/testpack-2.0:=[profile?] )
+"
+DEPEND="${RDEPEND}
+       >=dev-haskell/cabal-1.8
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+       haskell-cabal_src_configure \
+               $(cabal_flag test buildtests)
+}
+
+src_test() {
+       # default tests
+       haskell-cabal_src_test || die "cabal test failed"
+
+       # built custom tests
+       "${S}/dist/build/runtests/runtests" || die "unit tests failed"
+}
+
+src_install() {
+       cabal_src_install
+
+       # if tests were enabled, make sure the unit test driver is deleted
+       rm -f "${ED}/usr/bin/runtests"
+}

Reply via email to